Bug 1290128 - Routers creation failures depending on user kubeconfig
Routers creation failures depending on user kubeconfig
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Fabiano Franz
Wei Sun
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 12:23 EST by Federico Simoncelli
Modified: 2017-10-23 13:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-23 13:14:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Federico Simoncelli 2015-12-09 12:23:03 EST
Description of problem:
It should be possible to create a router independently from the current context of oc.

How reproducible:
100%

Steps to Reproduce:

# oc project openshift-infra
# oadm router router \
  --credentials=/etc/origin/master/openshift-router.kubeconfig \
  --service-account=router
error: router could not be created; unable to validate service account,
       host ports are forbidden
# oadm router router \
  --credentials=/etc/origin/master/openshift-router.kubeconfig \
  --service-account=router \
  --host-network=false
error: router could not be created; unable to validate service account,
       host ports are forbidden

# oc project default
# oadm router router \
  --credentials=/etc/origin/master/openshift-router.kubeconfig \
  --service-account=router
(success)

Actual results:
The router creation depends on the current context (project).

Expected results:
It should be possible to create a router independently from the current context (project).
(More info in the upstream issue, see below).

Additional info:
This may be relevant for registry and ipfailover as well (and other?).

Upstream issue:

https://github.com/openshift/origin/issues/6248
Comment 1 Jessica Forrester 2016-01-05 10:02:41 EST
Upstream issue marked as a P3, moving to low severity
Comment 2 Juan Vallejo 2017-10-23 13:14:11 EDT
Origin issue has been closed [1]. Please re-open if issue still exists / could still use improvement from current behavior.

1. https://github.com/openshift/origin/issues/6248#issuecomment-274395689

Note You need to log in before you can comment on or make changes to this bug.